gtkmm: Gtk::TextChildAnchor Class Reference

gtkmm 4.23.2

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::TextChildAnchor Class Reference
TextView Classes

A TextChildAnchor is a spot in the buffer where child widgets can be "anchored" (inserted inline, as if they were characters). More...

`#include <gtkmm/textchildanchor.h>`

Inheritance diagram for Gtk::TextChildAnchor:
[legend]

## Public Member Functions
| TextChildAnchor (TextChildAnchor && src) noexcept
TextChildAnchor & | operator= (TextChildAnchor && src) noexcept
| ~TextChildAnchor () noexcept override
GtkTextChildAnchor * | gobj ()
| Provides access to the underlying C GObject.
const GtkTextChildAnchor * | gobj () const
| Provides access to the underlying C GObject.
GtkTextChildAnchor * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
std::vector< Widget * > | get_widgets ()
| Gets a list of all widgets anchored at this child anchor.
std::vector< const Widget * > | get_widgets () const
| Gets a list of all widgets anchored at this child anchor.
bool | get_deleted () const
| Determines whether a child anchor has been deleted from the buffer.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< TextChildAnchor > | create ()
static Glib::RefPtr< TextChildAnchor > | create (const Glib::ustring & replacement_character)
| Creates a new Gtk::TextChildAnchor with the given replacement character.

## Protected Member Functions
| TextChildAnchor ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::TextChildAnchor > | wrap (GtkTextChildAnchor * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

A TextChildAnchor is a spot in the buffer where child widgets can be "anchored" (inserted inline, as if they were characters).

The anchor can have multiple widgets anchored, to allow for multiple views.

Typedefed as Gtk::TextBuffer::ChildAnchor.

## Constructor & Destructor Documentation

## ◆ TextChildAnchor() [1/2]

Gtk::TextChildAnchor::TextChildAnchor | ( | TextChildAnchor && | src | ) |
| noexcept

## ◆ ~TextChildAnchor()

Gtk::TextChildAnchor::~TextChildAnchor | ( |  | ) |
| overridenoexcept

## ◆ TextChildAnchor() [2/2]

Gtk::TextChildAnchor::TextChildAnchor | ( |  | ) |
| protected

## Member Function Documentation

## ◆ create() [1/2]

Glib::RefPtr< TextChildAnchor > Gtk::TextChildAnchor::create | ( |  | ) |
| static

## ◆ create() [2/2]

Glib::RefPtr< TextChildAnchor > Gtk::TextChildAnchor::create | ( | const Glib::ustring & | replacement_character | ) |
| static

Creates a new Gtk::TextChildAnchor with the given replacement character.

Usually you would then insert it into a Gtk::TextBuffer with Gtk::TextBuffer::insert_child_anchor().

Parameters

  replacement_character | Must be exactly one UTF-8 character. Can be more than one byte.

Since gtkmm 4.6

Returns
  A new Gtk::TextChildAnchor.

## ◆ get_deleted()

bool Gtk::TextChildAnchor::get_deleted | ( |  | ) | const

Determines whether a child anchor has been deleted from the buffer.

Keep in mind that the child anchor will be unreferenced when removed from the buffer, so you need to hold your own reference (with Glib::object_ref()) if you plan to use this function — otherwise all deleted child anchors will also be finalized.

Returns
  true if the child anchor has been deleted from its buffer.

## ◆ get_type()

GType Gtk::TextChildAnchor::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_widgets() [1/2]

std::vector< Widget * > Gtk::TextChildAnchor::get_widgets | ( |  | ) |

Gets a list of all widgets anchored at this child anchor.

Returns
  A vector of widgets anchored at this TextChildAnchor.

## ◆ get_widgets() [2/2]

std::vector< const Widget * > Gtk::TextChildAnchor::get_widgets | ( |  | ) | const

Gets a list of all widgets anchored at this child anchor.

Returns
  A vector of widgets anchored at this TextChildAnchor.

## ◆ gobj() [1/2]

GtkTextChildAnchor * Gtk::TextChildAnchor::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkTextChildAnchor * Gtk::TextChildAnchor::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkTextChildAnchor * Gtk::TextChildAnchor::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

TextChildAnchor & Gtk::TextChildAnchor::operator= | ( | TextChildAnchor && | src | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::TextChildAnchor > wrap | ( | GtkTextChildAnchor * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.